<!--
/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<div class="card bg-light cyclic-report-info">

  <div class="cyclic-report-info-title">
    Nächster Auslösezeitpunkt am {{nextTriggerDate | date : dateFormat}}:
  </div>

  <div class="cyclic-report-info-block">

    <div>
      Gültigkeit:
    </div>
    <div>
      {{nextValidFromDate | date : dateFormat}} bis {{nextValidToDate | date : dateFormat}}
    </div>

    <div>
      Betreff:
    </div>
    <div>
      {{subject}}
    </div>

    <div>
      Emailtext:
    </div>
    <div>
      <ng-container *ngFor="let line of emailTextLines; let last = last;">
        {{line}} <br *ngIf="!last || line === ''">
      </ng-container>
    </div>

    <div>
      Dateiname:
    </div>
    <div>
      {{ fileName + '.' + data?.printFormat?.toLowerCase()}}
    </div>

  </div>

</div>
